Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version": "1.0.3",
"assistant_data": {
"key": "value"
},
"knowledgeBase": [
"kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"
],
"tools": [
"tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
],
"call_forwarding": {
"key": "value"
}
}
response = client.agents.create_version(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/create \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version": "1.0.3",
"assistant_data": {
"key": "value"
},
"knowledgeBase": [
"kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"
],
"tools": [
"tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
],
"call_forwarding": {
"key": "value"
}
}'{
"message": "Agent version created successfully",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.3"
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Agent Versions
Create agent version
Creates a new version for an existing agent.
POST
/
agent
/
version
/
create
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version": "1.0.3",
"assistant_data": {
"key": "value"
},
"knowledgeBase": [
"kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"
],
"tools": [
"tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
],
"call_forwarding": {
"key": "value"
}
}
response = client.agents.create_version(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/create \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version": "1.0.3",
"assistant_data": {
"key": "value"
},
"knowledgeBase": [
"kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"
],
"tools": [
"tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"
],
"call_forwarding": {
"key": "value"
}
}'{
"message": "Agent version created successfully",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.3"
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for Create agent version.
Agent Version Create Request schema.
Agent ID
Example:
"76286489-86a8-4540-b479-b0154e474555"
Version label
Example:
"1.0.3"
Assistant data value.
Example:
{ "key": "value" }
Knowledge Base value.
Example:
["kb_01HXRA4N5B8Q0SJC0F30Z8W0DT"]
Tools value.
Example:
["tool_01HXR9259WDZ2X3ZZKQ7HDG4C2"]
Call forwarding value.
Example:
{ "key": "value" }

